summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_maintenance.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 2a60a70c..fab9f67a 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -100,11 +100,19 @@ done
set -e
# for Archlinux
+set +e
if [ "$HOSTNAME" = "${ARCHLINUX_BUILD_NODE}" ] ; then
echo "$(date -u) - updating Archlinux schroot now."
schroot --directory /tmp -c source:jenkins-reproducible-archlinux -u root -- pacman -Syu --noconfirm
- echo "$(date -u) - updating Archlinux schroot done."
+ RESULT=$?
+ if [ $RESULT -eq 1 ] ; then
+ echo "Warning: failed to update Archlinux schroot."
+ DIRTY=true
+ else
+ echo "$(date -u) - updating Archlinux schroot done."
+ fi
fi
+set -e
# delete old temp directories
echo "$(date -u) - Deleting temp directories, older than 2 days."